Page MenuHomePhabricator

[X86][AVX512] lowering shuffle f/i intrinsic - clang part
ClosedPublic

Authored by jina.nahias on Oct 8 2017, 12:26 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

jina.nahias created this revision.Oct 8 2017, 12:26 AM
jina.nahias retitled this revision from lowering shuffle f/i intrinsic - clang part to [X86][AVX512] lowering shuffle f/i intrinsic - clang part.Oct 8 2017, 5:51 AM
jina.nahias edited the summary of this revision. (Show Details)Oct 9 2017, 12:15 AM
m_zuckerman edited edge metadata.EditedOct 9 2017, 1:12 AM

Please add dependent parent.
LGTM After the parent commit (LLVM side).

m_zuckerman accepted this revision.Oct 9 2017, 1:14 AM

after LLVM-SIDE

This revision is now accepted and ready to land.Oct 9 2017, 1:14 AM
lsaba added a subscriber: lsaba.Nov 7 2017, 7:38 AM
lsaba added inline comments.
lib/Headers/avx512fintrin.h
7207 ↗(On Diff #118166)

This should start at 16 in order to get to B

7213 ↗(On Diff #118166)

this should be >>6?

test/CodeGen/avx512f-builtins.c
4491 ↗(On Diff #118166)

expected to be
shufflevector <16 x float> %{{.*}}, <16 x float> %{{.*}}, <16 x i32> <i32 0, i32 1, i32 2, i32 3, i32 4, i32 5, i32 6, i32 7, i32 16, i32 17, i32 18, i32 19, i32 16, i32 17, i32 18, i32 19>
See comment on
#define _mm512_shuffle_f32x4(A, B, imm) extension ({

4496 ↗(On Diff #118166)

Same comment as above

lsaba accepted this revision.Nov 7 2017, 8:13 AM
This revision was automatically updated to reflect the committed changes.